=== packages/Makefile ===
default:
	$(HOME)/builds/HEAD/glafp-utils/docbook/db2dvi -d $(HOME)/builds/HEAD/docs/fptools-both.dsl pkg-spec.sgml
	dvips -f < pkg-spec.dvi > pkg-spec.ps
