=== debian/changelog ===
haskell98-report (20080907-8) unstable; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 28 Oct 2016 01:42:11 -0400

haskell98-report (20080907-7) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Sean Whitton ]
  * Refresh patch.

  [ Gianfranco Costamagna ]
  * Fix VCS fields

  [ Clint Adams ]
  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:19 -0400

haskell98-report (20080907-6) unstable; urgency=medium

  [ Joachim Breitner ]
  * Bump standards-version to 3.9.6

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:02 -0500

haskell98-report (20080907-5) unstable; urgency=low

  * Bump standards version, no change
  * Enable compat level 9
  * Port tools/tex.hs and tools/index.hs to “new” Control.Exception (Closes:
    #713518)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 22 Jun 2013 21:46:27 +0200

haskell98-report (20080907-4) unstable; urgency=low

  * Fix haskell.idx generation (Closes: #669528)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 20 Apr 2012 19:55:32 +0200

haskell98-report (20080907-3) unstable; urgency=low

  * GHC 7.4 compatibility (Closes: #665065)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 24 Mar 2012 22:25:35 +0100

haskell98-report (20080907-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Use ghostscript instead of gs-common to fix FTBFS. Patch from Hideki
    Yamane, thanks! (Closes: #618190)
    + No longer see PDF syntax errors (Closes: #585450)
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Thu, 26 May 2011 14:56:32 +0100

haskell98-report (20080907-1) unstable; urgency=low

  * New upstream version, including changes in .diff.gz in upstream
    source package.
  * debian/control: Use only Build-Depends-Indep, except for debhelper.
  * Fix "FTBFS: ! LaTeX Error: File `version.sty' not found." including
    Build-Depends: in texlive-latex-extra. (Closes: #562357)
  * Use compat 7.
  * debian/control: Use ${misc:Depends}.
  * debian/control: Addopt by the Debian Haskell Group.
  * source/format: Use 3.0 (quilt).
  * Remove references to old CVS repo.
  * debian/rules: Don't ignore errors on make clean.
  * debian/rules: Remove commands from binary-arch.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Use Section: Programming/Haskell in doc-base.
  * Remove maintainer scripts, since they were empty.
  * patches/correct-build.patch: Create.
  * Use dh.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Mon, 08 Mar 2010 15:44:25 -0300

haskell98-report (20030706-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't Include TrueType Fonts at report/classes.eps Closes: #420479
  * Replace tetex-bin B-D-I with texlive-base and remove tetex-extra

 -- Rene Mayorga <rmayorga@debian.org.sv>  Tue, 26 Aug 2008 09:21:45 -0600

haskell98-report (20030706-3) unstable; urgency=low

  * Fix building with GHC 6.6 by:
    * removing "-package lang" from tools/Makefile
    * commenting out IOExts import in tools/tex.hs
    and tightened build-dep to ghc >= 6.6. Closes: #397628.
  * Fix {,} bashisms in debian/rules.
  * Comment out get-orig-source in debian/rules (no longer points at
    the canonical location, and the sed has bitrotted).
  * Rename Build-Depends-Indep field to Build-Depends.
  * Remove fakeroot from build-depends.
  * Put build-depends all on one line.
  * Run latex 3 times so all the references etc work out.
    Closes: #306029, #322945.
  * Comment out "export DH_VERBOSE=1".
  * Bump policy version to 3.7.2.
  * Change format ps to PostScript in the doc-base files.
  * Thanks to Arjan Oosting for various contributions above.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 25 Nov 2006 22:27:25 +0000

haskell98-report (20030706-2) unstable; urgency=low

  * Correct doc-base files to refer to gzipped files. Closes: #212955.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 13 Nov 2003 18:29:20 +0000

haskell98-report (20030706-1) unstable; urgency=low

  * New upstream source.
  * Add FFI and hierarchical module addenda. Closes: #198247.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 06 Jul 2003 18:02:49 +0000

haskell98-report (20030331-4) unstable; urgency=low

  * Add ps and pdf variants
  * Change build dependency to flex-old from flex. Closes: #200172.
  * Update policy compliancy to 3.5.10.
  * Added ghc as an alternative to ghc5 for building.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sun, 06 Jul 2003 02:00:17 +0000

haskell98-report (20030331-3) unstable; urgency=low

  * Add build dependency on tetex-extra (needs times.sty). Closes: #189887.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 21 Apr 2003 00:01:01 +0100

haskell98-report (20030331-2) unstable; urgency=low

  * Build the DVI file so cross-references work.
  * Remove links on index page to non-existant files.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 01 Apr 2003 16:29:50 +0100

haskell98-report (20030331-1) unstable; urgency=low

  * Split off from haskell-doc package
  * Package the revised edition of the reports.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Mon, 31 Mar 2003 17:45:15 +0100
